"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const cli = require("./cli-9c25e960.js");
require("cac");
require("picocolors");
require("readline");
require("vite");
require("unconfig");
require("fs");
require("path");
require("node:url");
require("node:fs");
require("pathe");
require("fast-glob");
require("acorn");
require("magic-string");
require("micromatch");
require("ws");
require("zod");
require("chokidar");
require("events");
require("prompts");
exports.WatchManager = cli.WatchManager;
exports.WsAdapter = cli.WsAdapter;
exports.WsManager = cli.WsManager;
exports.calculateRamResponseSchema = cli.calculateRamResponseSchema;
exports.createLogger = cli.createLogger;
exports.defaultDownloadLocation = cli.defaultDownloadLocation;
exports.defaultDts = cli.defaultDts;
exports.defaultUploadLocation = cli.defaultUploadLocation;
exports.defineConfig = cli.defineConfig;
exports.deleteFileResponseSchema = cli.deleteFileResponseSchema;
exports.displayKeyHelpHint = cli.displayKeyHelpHint;
exports.displayWatchAndHelp = cli.displayWatchAndHelp;
exports.externalRE = cli.externalRE;
exports.fixImportPath = cli.fixImportPath;
exports.fixStartingSlash = cli.fixStartingSlash;
exports.forceStartingSlash = cli.forceStartingSlash;
exports.formatDownload = cli.formatDownload;
exports.formatError = cli.formatError;
exports.formatNormal = cli.formatNormal;
exports.formatUpload = cli.formatUpload;
exports.formatWarn = cli.formatWarn;
exports.getAllFilesResponseSchema = cli.getAllFilesResponseSchema;
exports.getDefaultConfig = cli.getDefaultConfig;
exports.getDefinitionFileResponseSchema = cli.getDefinitionFileResponseSchema;
exports.getFileNamesResponseSchema = cli.getFileNamesResponseSchema;
exports.getFileResponseSchema = cli.getFileResponseSchema;
exports.getSourceMapString = cli.getSourceMapString;
exports.getWss = cli.getWss;
exports.handleKeyInput = cli.handleKeyInput;
exports.hmrPluginName = cli.hmrPluginName;
exports.isExternalUrl = cli.isExternalUrl;
exports.isScriptFile = cli.isScriptFile;
exports.isWssReused = cli.isWssReused;
exports.loadConfig = cli.loadConfig;
exports.logger = cli.logger;
exports.main = cli.main;
exports.onKeypress = cli.onKeypress;
exports.prefix = cli.prefix;
exports.pushFileResponseSchema = cli.pushFileResponseSchema;
exports.removeStartingSlash = cli.removeStartingSlash;
exports.resolveConfig = cli.resolveConfig;
exports.resolveDts = cli.resolveDts;
exports.resolveDumpFile = cli.resolveDumpFile;
exports.resolvePolling = cli.resolvePolling;
exports.resolveWatchLocation = cli.resolveWatchLocation;
exports.setHandler = cli.setHandler;
exports.startDev = cli.startDev;
exports.virtualModuleId = cli.virtualModuleId;
exports.viteburnerPlugin = cli.viteburnerPlugin;
exports.writeFile = cli.writeFile;
exports.wsResponseSchema = cli.wsResponseSchema;
