import { W, L, P, X, i, J, K, B, d, T, E, F, C, O, z, y, I, h, f, H, g, V, q, Y, U, S, u, M, G, n, D, x, N, l, j, m, o, p, R, A, e, a, b, c, r, k, s, v, t, w, Q } from "./cli-e612352a.mjs";
import "cac";
import "picocolors";
import "readline";
import "vite";
import "unconfig";
import "fs";
import "path";
import "node:url";
import "node:fs";
import "pathe";
import "fast-glob";
import "acorn";
import "magic-string";
import "micromatch";
import "ws";
import "zod";
import "chokidar";
import "events";
import "prompts";
export {
  W as WatchManager,
  L as WsAdapter,
  P as WsManager,
  X as calculateRamResponseSchema,
  i as createLogger,
  J as defaultDownloadLocation,
  K as defaultDts,
  B as defaultUploadLocation,
  d as defineConfig,
  T as deleteFileResponseSchema,
  E as displayKeyHelpHint,
  F as displayWatchAndHelp,
  C as externalRE,
  O as fixImportPath,
  z as fixStartingSlash,
  y as forceStartingSlash,
  I as formatDownload,
  h as formatError,
  f as formatNormal,
  H as formatUpload,
  g as formatWarn,
  V as getAllFilesResponseSchema,
  q as getDefaultConfig,
  Y as getDefinitionFileResponseSchema,
  U as getFileNamesResponseSchema,
  S as getFileResponseSchema,
  u as getSourceMapString,
  M as getWss,
  G as handleKeyInput,
  n as hmrPluginName,
  D as isExternalUrl,
  x as isScriptFile,
  N as isWssReused,
  l as loadConfig,
  j as logger,
  m as main,
  o as onKeypress,
  p as prefix,
  R as pushFileResponseSchema,
  A as removeStartingSlash,
  e as resolveConfig,
  a as resolveDts,
  b as resolveDumpFile,
  c as resolvePolling,
  r as resolveWatchLocation,
  k as setHandler,
  s as startDev,
  v as virtualModuleId,
  t as viteburnerPlugin,
  w as writeFile,
  Q as wsResponseSchema
};
